Kubernetes
Toggle Kubernetes cluster protection
post
/kubernetes/{cluster_uuid}/protectionEnable or disable destruction protection on your Kubernetes cluster. When enabled, the cluster cannot be deleted until protection is removed.
Autorización
Authorization
Authorization*string
Bearer YOUR_API_TOKEN con un token de API. También vale la cabecera X-API-Key: YOUR_API_TOKEN.
Parámetros de ruta
cluster_uuid*string
Cuerpo de la petición
application/jsonObligatorio
enabled*boolean
Set to true to enable protection, false to disable it.
Respuestas
Successful Response
application/json
detail*string